From c611817c82935b044d23289ec442dfa68509aa29 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sat, 29 Oct 2022 03:27:57 +0200
Subject: [PATCH 11/13] gnu: Add clojure-data-generators

* gnu/packages/clojure.scm (clojure-data-generators): New variable.
---
 gnu/packages/clojure.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index 85c7551294..e492c00b0c 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -722,6 +722,32 @@ (define-public clojure-tools-reader
 0.10.0-alpha1")
     (license license:epl1.0)))
 
+(define-public clojure-data-generators
+  (package
+    (name "clojure-data-generators")
+    (version "1.0.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/clojure/data.generators")
+                    (commit (string-append "data.generators-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1ndy2wjfipnvswf7nz89wwh6lka8cn2yn5nfxmv8vzjc2i73d8fa"))))
+    (build-system clojure-build-system)
+    (arguments
+     '(#:source-dirs '("src/main/clojure")
+       #:test-dirs '("src/test/clojure")
+       #:doc-dirs '()))
+    (propagated-inputs
+     (list clojure-tools-reader
+           clojure-java-classpath))
+    (home-page "https://github.com/clojure/data.generators")
+    (synopsis "Generators for random Clojure data")
+    (description "Clojure-data-generators is a data generator for Clojure")
+    (license license:epl1.0)))
+
 (define-public clojure-tools-namespace
   (package
     (name "clojure-tools-namespace")
-- 
2.38.0

